## python-gtkglext1 1.1.0

=== debian/changelog ===
python-gtkglext1 (1.1.0-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dh_autoreconf: Can only be run once":
    run dh_autoreconf in a new configure-stamp target before running configure
    for each python version build. (Closes: #663063)

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Mar 2012 16:07:43 +0100

python-gtkglext1 (1.1.0-9) unstable; urgency=low

  * Added python-gtk2 in Depends (Closes: #645941)

 -- Thierry Randrianiriana <thierry@debian.org>  Mon, 24 Oct 2011 20:42:21 +0300

python-gtkglext1 (1.1.0-8) unstable; urgency=low

  * Forced rebuild to fix (Closes: #645931, #645941)
  * debian/rules:
    - Added build-arch and build-indep

 -- Thierry Randrianiriana <thierry@debian.org>  Sun, 23 Oct 2011 21:37:18 +0300

python-gtkglext1 (1.1.0-7) unstable; urgency=low

  * Bumped Standards-Version to 3.9.2
  * Use dh_python2 instead of pysupport (thanks bigon) (Closes: #623319)
  * debian/control:
    - Drop python-support build-dependency
    - Bump python-all-dev build-dependency to >= 2.6.6-3~
    - Add dh-autoreconf to build-dependencies
    - Add Breaks for python-gtk2 (<< 2.24.0)
  * debian/rules:
    - Call dh_python2 instead of dh_pysupport
    - Do not ship .la files anymore
    - Call dh_autoreconf to regenerate autotools (Closes: #558625)
  
 -- Thierry Randrianiriana <thierry@debian.org>  Tue, 19 Apr 2011 13:56:18 +0300

python-gtkglext1 (1.1.0-6) unstable; urgency=low

  * Bumped Standards-Version to 3.9.1
  * Bumped to debhelper 7 compatibility levels
  * Updated the maintainer email address

 -- Thierry Randrianiriana <thierry@debian.org>  Fri, 01 Oct 2010 19:40:01 +0300

python-gtkglext1 (1.1.0-5) unstable; urgency=low

  * Bumped Standards-Version to 3.8.4
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Tue, 30 Mar 2010 15:41:28 +0300

python-gtkglext1 (1.1.0-4) unstable; urgency=low

  * Ack NMU - thanks Chris Lamb (Closes: #478619)
  * Bumped Standards-Version to 3.8.3.
  * debian/rules: checked if Makefile exists
  * debian/copyright: added copyright notice
  * debian/control:
    - updated description
    - added python-opengl in Depends (Closes: #519914)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Fri, 04 Dec 2009 14:58:45 +0300

python-gtkglext1 (1.1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #478619)
  * debian/control:
    - Bump Standards-Version to 3.8.0.
    - Move upstream URL to Homepage: field

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 22:29:07 +0100

python-gtkglext1 (1.1.0-3) unstable; urgency=low

  * Changed Build-Depends python-dev to python-all-dev to support all python versions (Closes: #424024)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Thu, 24 May 2007 22:10:23 +0300

python-gtkglext1 (1.1.0-2) unstable; urgency=low

  * Supports all installed python versions. Thanks Robert Ancell (Closes: #419350)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Sun, 15 Apr 2007 10:53:09 +0300

python-gtkglext1 (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #406440)

 -- Thierry Randrianiriana <randrianiriana@gmail.com>  Fri, 12 Jan 2007 20:26:18 +0300
