=== debian/control ===
Source: python-gtkglext1
Section: python
Priority: extra
Maintainer: Thierry Randrianiriana <thierry@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, python-gtk2-dev, libgtk2.0-dev, libgtkglext1-dev (>= 1.0.0), libglu1-mesa-dev, python-all-dev (>= 2.6.6-3~)
X-Python-Version: >= 2.4
Standards-Version: 3.9.2
Homepage: http://gtkglext.sourceforge.net/

Package: python-gtkglext1
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-opengl, python-gtk2
Breaks: python-gtk2 (<< 2.24.0)
Provides: ${python:Provides}
Description: GtkGLext python bindings
 PyGtkGLExt is Python language bindings for GtkGLExt,
 OpenGL Extension to gtk.
