=== debian/watch ===
version=3
http://sf.net/gtkglext/pygtkglext-(.*)\.tar\.gz
